Package org.apache.sysds.runtime.matrix.data

# Class Pair<K,V>

java.lang.Object
org.apache.sysds.runtime.matrix.data.Pair<K,V>

public class Pair<K,V> extends Object

## Constructor Summary

Constructors
Constructor
Description
`Pair()`
`Pair(K k, V v)`

## Method Summary

Modifier and Type
Method
Description
`final K`
`getKey()`
`final V`
`getValue()`
`final void`
`set(K k, V v)`
`final void`
`setKey(K k)`
`final void`
`setValue(V v)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Pair

public Pair()

### Pair

public Pair(K k, V v)

## Method Details

### setKey

public final void setKey(K k)

### setValue

public final void setValue(V v)

### set

public final void set(K k, V v)

### getKey

public final K getKey()

### getValue

public final V getValue()

### toString

public String toString()

Overrides:
  `toString` in class `Object`